#version 430
uniform float offset;
void main(void)
{
	switch(gl_VertexID){
		case 0:{
			gl_Position=vec4(-0.5+offset,-0.5,0.0,1.0);
		}break;
		case 1:{
			gl_Position=vec4(0.5+offset,-0.5,0.0,1.0);
		}break;
		case 2:{
			gl_Position=vec4(0.0+offset,0.25,0.0,1.0);
		}break;
	}
}
